package edu.unl.consystlab.GrapherDemos;

import java.util.Random;


class EatMem
{
    private byte[] data = new byte[1024];
    private Object o;
    public EatMem(Object o)
    {
        this.o = o;
    }
}

public class MemoryDemo
{

    public static void main(String[] args)
    {
        new MemoryGrapherFrame();
        EatMem em=null;
        Random r = new Random();
        Object o;
        for(;;)
        {
            o = new int[Math.abs(r.nextInt()) % (1024*1024)];
            em = new EatMem(null);
            //try { Thread.sleep(250); } catch(Exception e) {};
        }
    }

 }
